﻿/****************************************Portal Styling**********************************************************/
#timeRangeSlider .noUi-handle {
    height: 18px;
    width: 18px;
    top: -1px;
    right: -9px; /* half the width */
    border-radius: 9px;
    background-color: #0f4ba5; /* blue */
    border-color: #0f4ba5;
}

#timeRangeSlider .noUi-handle::before,
#timeRangeSlider .noUi-handle::after {
  display: none !important;
}

.ppe-map-label {
    position: absolute;
    top: -15px;
    left: 0px;
    padding: 4px 8px;
    border-radius: 4px;
    font-weight: 600;
    font-size: 14px;
    display: inline-flex;
    align-items: center;
}

.ppe-map-info-widget {
    position: absolute;
    top: -10px;
    right: 0px;
    background: rgba(255, 255, 255, 0.95);
    border: 1px solid #ccc;
    padding: 4px;
    font-size: 10px;
    line-height: 1.1;
    border-radius: 4px;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.1);
    max-width: 200px;
    display: none;
}

.ppe-chart-container {
    position: relative;
}

.ppe-accordion-button:not(.collapsed) {
    background-color: rgba(33, 37, 41, 0.03) !important;
}

.ppe-accordion-button {
    font-weight: bold !important;
    font-size: 13px !important;
    color: rgb(33, 37, 41) !important;
}

.ppe-table-header {
    font-size: 14px;
    font-weight: 700;
}

.ppe-table-row {
    font-size: 14px;
}

.main-application-area {
    min-height: 700px;
}

.hidden-component {
    display: none;
}

.error-label {
    color: red;
    display: none;
}

.small-padding {
    padding-top: 24px !important;
    padding-bottom: 64px !important;
}

.low-denominator {
    color: #A8A8A8;
}

.rank-display {
    min-width: 55px !important;
}

.card-header {
    font-weight: bold;
}

.form-label {
    font-weight: bold;
}

.form-check-label {
    margin-left: 5px !important;
}

.form-check-input:checked:focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.btn {
    border-radius: 4px !important;
}

.btn-primary {
    background-color: rgb(0, 94, 162) !important;
    color: #fff !important;
    border-color: #fff !important;
    font-weight: 700 !important;
}

.dropdown-menu {
    border-radius: 4px !important;
}

.bg-solid-white {
    background-color: whitesmoke !important;
}

.dashboardViewControl {
    position: relative;
}

.dashboardViewButton {
    position: absolute;
    right: calc(var(--bs-gutter-x) * .5);
    bottom: 0;
}

.dashboardView {
    font-size: 13px !important;
    font-weight: 600;
    border-radius: 4px !important;
    margin-bottom: 20px !important;
}

.dashboardView a {
    color: inherit;
    text-decoration: none;
}

.modal-title {
    font-size: 14px !important;
    font-weight: 600 !important;
}

.modal-title-med {
    font-size: 15px !important;
    font-weight: 600 !important;
    margin-top: 15px !important;
    margin-bottom: 15px !important;
}

.modal-description {
    font-size: 14px !important;
    font-weight: 200 !important;
}

.card {
    border-radius: 4px;
}

table td,
table td * {
    vertical-align: middle;
}

.table> :not(caption)>*>* {
    padding: 0rem 0.5rem !important;
}

.table>tbody>tr>td,
.table>tbody>tr>th {
    border-top: none;
}

.card-text {
    font-size: 11px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.card-subtitle {
    font-size: 12px;
    text-align: center;
}

.card-title {
    font-size: 13px;
    text-align: center;
    font-weight: 600;
}

.card-title-left {
    font-size: 13px;
    text-align: left;
    font-weight: 600;
}

.tooltip-planname {
    color: blue;
    font-size: 11px;
    text-align: center;
}

.tooltip-data-block {
    padding-top: 5px;
    font-size: 11px;
}

textarea:focus,
input:focus {
    outline: none;
}

.popper-tooltip {
    display: none;
}

.popper-tooltip[data-show] {
    display: block;
}

.ranking-display {
    display: inline-block;
    width: 10px;
    text-align: center;
    color: black;
}

.ranking-display-wide {
    display: inline-block;
    width: 13px;
    text-align: center;
    color: black;
}

ranking-element {
    width: 37px;
}

.descriptive-dashboard-card {
    margin-top: 10px;
    margin-bottom: 10px;
    align-content: center;
}

.descriptive-dashboard-canvas {
    padding: 0;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}


.trend-view {
    text-align: center;
}

.trend-view-plan-name {
    color: blue;
}

.trend-view-table {
    font-size: 12px !important;
}

.dashboard-table {
    min-height: 80px;
    vertical-align: middle;
}

.percentile-legend {
    width: 10px;
    height: 10px;
    border: 1px solid black;
    display: inline-block;
}

.percentile-block {
    width: 75px;
    height: 27px;
    border: 1px solid white;
    display: inline-block;
    font-weight: 600;
    text-align: center;
    transition: border 0.1s;
}

.percentile-block:hover {
    border: 2px solid black;
}

.qoc-percentile-container {
    position: relative;
    width: 200px;
    height: 25px;
    background-color: transparent;
    /* No border around the graph */
}

.qoc-percentile-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right,
            rgb(165, 0, 38) 0% 10%,
            rgb(240, 109, 67) 10% 25%,
            rgb(253, 174, 97) 25% 50%,
            rgb(254, 224, 114) 50% 75%,
            rgb(69, 117, 180) 75% 90%,
            rgb(49, 54, 149) 90% 100%);
}

.qoc-percentile-bar {
    position: absolute;
    top: 50%;
    left: 0;
    width: 0%;
    height: 40%;
    background-color: white;
    border: 1px solid black;
    transform: translateY(-50%);
    /* This ensures vertical centering */
    transition: border 0.1s;
}

.qoc-percentile-bar:hover {
    border: 2px solid black;
}

.qoc-percentile-bar-full {
    position: absolute;
    top: 50%;
    left: 0;
    width: 0%;
    height: 102%;
    background-color: white;
    border: 1px solid white;
    transform: translateY(-50%);
    /* This ensures vertical centering */
    transition: border 0.1s;
}

.qoc-percentile-bar-full:hover {
    border: 2px solid black;
}

.qoc-percentile-comparison-bar {
    position: absolute;
    bottom: 20%;
    height: 60%;
    width: 2px;
    /* Adjust thickness if needed */
    background-color: black;
    border-radius: 4px;
    margin-left: -1px;
    transition: width 0.1s, height 0.1s, bottom 0.1s, margin-left, 0.1s;
}

.qoc-percentile-comparison-bar:hover {
    width: 4px;
    margin-left: -2px;
    height: 80%;
    bottom: 10%;
}

.qoc-percentile-legend-container {
    display: inline-block;
    position: relative;
    width: 10px;
    height: 10px;
    background-color: white;
}

.qoc-percentile-legend-comparison-bar {
    position: absolute;
    height: 100%;
    width: 2px;
    /* Adjust thickness if needed */
    background-color: black;
    border-radius: 4px;
    margin-left: -1px;
    transition: width 0.1s, height 0.1s, bottom 0.1s, margin-left, 0.1s;
}

.align-cols-center-except-first th,
.align-cols-center-except-first td {
  text-align: center;   /* default: center all columns */
}

.align-cols-center-except-first th:nth-child(1),
.align-cols-center-except-first td:nth-child(1) {
  text-align: left;     /* first column left-aligned */
}

.align-cols-center-except-second th,
.align-cols-center-except-second td {
  text-align: center;   /* default: center all columns */
}

.align-cols-center-except-second th:nth-child(2),
.align-cols-center-except-second td:nth-child(2) {
  text-align: left;     /* second column left-aligned */
}


/****************************************USWDS Customization**********************************************************/

.usa-banner__header-flag {
    float: left;
    margin-right: 2rem;
    width: 11rem;
}

.usa-prose>p {
    max-width: 98ex !important;
}

.usa-intro {
    max-width: 100%;
}

.usa-hero {
    /* background-image: none;
    background: linear-gradient(90deg, #1a4480, #07648d); */
    background-image: url(/Resources/external/img/banner.jpg);
}

.usa-banner {
    background-color: #162E51;
}

.usa-banner__header {
    max-width: 1600px;
    color: #fff;
} 

.usa-banner__inner {
    padding: 0px;
    color: #fff;
}

.usa-banner__content {
    max-width: 1600px;
    color: #fff;
}

.usa-banner__button {
    color: #fff;
}

.usa-logo {
    max-width: 100% !important;
}

.usa-logo__text {
    color: #fff;
    font-weight: 400;
    font-family: Merriweather Web,Georgia,Cambria,Times New Roman,Times,serif;
}

.usa-identifier__identity-disclaimer {
    font-weight: 100;
    color: #fff;
}

.usa-navbar {
    border-bottom: 0px;
}

.usa-nav {
    background-color: #f0f0f0;
    border-top: 0px;
}

.usa-nav-link {
    color: #162e51 !important;
    font-weight: 700 !important;
    font-size: 1rem !important;
}

.usa-nav__primary button {
    color: #162e51 !important;
    font-weight: 700 !important;
    font-size: 1rem !important;
}

.usa-nav__primary button[aria-expanded=true] {
    color: #fff !important;
    font-weight: 700 !important;
}

.usa-nav__secondary {
    margin-bottom: 8px !important;
    margin-top: 0px !important;
}

.usa-header {
    background-color: #1A4480;
}

.grid-container {
    max-width: 1600px !important;
}

.usa-header--extended .usa-nav__inner {
    max-width: 1600px;
}

.usa-header--extended .usa-navbar {
    max-width: 1600px;
    min-height: 80px;
}

.usa-identifier__container {
    max-width: 1600px;
}

.usa-hero__callout {
    max-width: 650px;
    background-color: rgba(255, 255, 255, 0.6);
    color: #1b1b1b;
}

.usa-hero__heading--alt {
    color: #1b1b1b;
}

.usa-identifier {
    background-color: #162e51 !important;
}

.usa-form {
    max-width: 25rem;
}

#UserAgreementModalDescription {
    max-height: 450px;
    overflow-y: auto;
    border: 1px solid #ccc;
    padding: 1rem;
}

.dropdown {
    position: relative;
    display: inline-block !important;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: white;
    min-width: 200px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    border-radius: 2px !important;
    z-index: 1;
    right: 0;
}

.dropdown-content a {
    color: black;
    padding: 10px 16px;
    text-decoration: none;
    display: block;
}

/**/
.dropdown-content a:hover  {
    background-color: #f1f1f1;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

.dropdown:focus-within .dropdown-content {
    display: block;
}

.usa-modal--lg .usa-modal__main {
    max-width: 100% !important;
}

.usa-modal--lg .usa-modal__heading {
    font-size: 1.85rem;
}

.usa-sidenav__item,
.usa-sidenav {
    border: 0px;
}

.usa-collection__item {
    max-width: 100% !important;
}